Annotation parameters

Parameters that you can include in GET annotation API calls to refine results. You can include multiple query strings using an ampersand (&).

Expansion

A query string that allows you to obtain additional information around an annotation. You can include multiple expansions, separated by a comma.

GET https://cja.adobe.io/annotations?expansion=name,description,dateRange,color

IncludeType

By default, results only include annotations that the user owns. You can add this query string which allows results to include additional annotations not owned by the user.

GET https://cja.adobe.io/annotations?includeType=all,shared

Locale

A query string that returns strings localized by Adobe into the desired language. Localization does not apply to user-defined fields, such as annotation names.

GET https://cja.adobe.io/annotations?locale=en_US

Filter

You can filter annotations by modification date or annotations in a specific date range.

GET https://cja.adobe.io/annotations?filterByModifiedAfter=YYYY-MM-DDTHH:MM:SSZ&filterByDateRange=YYYY-MM-DDTHH:MM:SSZ/YYYY-MM-DDTHH:MM:SSZ

Pagination

You can paginate annotation API calls so that the result is not too large to use.

GET https://cja.adobe.io/annotations?limit=10&page=2